we went over this with you on the last forum you have the version error because before you build cpyrit_calpp you need to edit the line in setup.py... change version 0.4.0 to 0.4.1 to match pyrit. also you if you want to use a second card you need to initialize a second display with amdcccle

as far as this part
Traceback (most recent call last):
File "/usr/local/bin/pyrit", line 6, in <module>
pyrit_cli.Pyrit_CLI().initFromArgv()
File "/usr/local/lib/python2.6/dist-packages/pyrit_cli.py", line 117, in initFromArgv
func(self, **options)
File "/usr/local/lib/python2.6/dist-packages/pyrit_cli.py", line 159, in new_f
import cpyrit.pckttools
File "/usr/local/lib/python2.6/dist-packages/cpyrit/pckttools.py", line 838, in <module>
class CCMPCrackerThread(CrackerThread, _cpyrit_cpu.CCMPCracker):
AttributeError: 'module' object has no attribute 'CCMPCracker'

I don't know what you've gotten yourself into there but someone else will have to help you with that